VkDeviceGroupSubmitInfoKHX Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
uint32_t | waitSemaphoreCount
const uint32_t * | pWaitSemaphoreDeviceIndices
uint32_t | commandBufferCount
const uint32_t * | pCommandBufferDeviceMasks
uint32_t | signalSemaphoreCount
const uint32_t * | pSignalSemaphoreDeviceIndices

## Detailed Description

Definition at line 5434 of file vulkan.h.

## Field Documentation

## commandBufferCount

uint32_t VkDeviceGroupSubmitInfoKHX::commandBufferCount

Definition at line 5439 of file vulkan.h.

## pCommandBufferDeviceMasks

const uint32_t* VkDeviceGroupSubmitInfoKHX::pCommandBufferDeviceMasks

Definition at line 5440 of file vulkan.h.

## pNext

const void* VkDeviceGroupSubmitInfoKHX::pNext

Definition at line 5436 of file vulkan.h.

## pSignalSemaphoreDeviceIndices

const uint32_t* VkDeviceGroupSubmitInfoKHX::pSignalSemaphoreDeviceIndices

Definition at line 5442 of file vulkan.h.

## pWaitSemaphoreDeviceIndices

const uint32_t* VkDeviceGroupSubmitInfoKHX::pWaitSemaphoreDeviceIndices

Definition at line 5438 of file vulkan.h.

## signalSemaphoreCount

uint32_t VkDeviceGroupSubmitInfoKHX::signalSemaphoreCount

Definition at line 5441 of file vulkan.h.

## sType

VkStructureType VkDeviceGroupSubmitInfoKHX::sType

Definition at line 5435 of file vulkan.h.

## waitSemaphoreCount

uint32_t VkDeviceGroupSubmitInfoKHX::waitSemaphoreCount

Definition at line 5437 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h